Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class LuceneSearchProcessor

    java.lang.Object
      org.modeshape.graph.request.processor.RequestProcessor
          org.modeshape.graph.search.SearchEngineProcessor
              org.modeshape.search.lucene.AbstractLuceneSearchEngine.AbstractLuceneProcessor<LuceneSearchWorkspace,LuceneSearchSession>
                  org.modeshape.search.lucene.LuceneSearchProcessor

    @NotThreadSafe
    public class LuceneSearchProcessor

extends AbstractLuceneSearchEngine.AbstractLuceneProcessor<LuceneSearchWorkspace,LuceneSearchSession>

Abstract `SearchEngineProcessor` implementation for the `LuceneSearchEngine`.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.search.lucene.AbstractLuceneSearchEngine.AbstractLuceneProcessor
`AbstractLuceneSearchEngine.AbstractLuceneProcessor.QueryFactory`

Nested classes/interfaces inherited from class org.modeshape.graph.request.processor.RequestProcessor
`RequestProcessor.LocationWithDepth`

Field Summary
`protected static QueryResults.Columns` | `FULL_TEXT_RESULT_COLUMNS`

Fields inherited from class org.modeshape.search.lucene.AbstractLuceneSearchEngine.AbstractLuceneProcessor
`dateFactory, nameFactory, pathFactory, propertyFactory, readOnly, stringFactory, typeSystem, uuidFactory, valueFactories, workspaces`

Fields inherited from class org.modeshape.graph.search.SearchEngineProcessor
`rollback`

Constructor Summary
`protected` | `LuceneSearchProcessor(String sourceName, ExecutionContext context, AbstractSearchEngine.Workspaces<LuceneSearchWorkspace> workspaces, Observer observer, DateTime now, boolean readOnly, Lock lock)`

Method Summary
`void` | `close()` Close this processor, allowing it to clean up any open resources.
`protected LuceneSearchSession` | `createSessionFor(LuceneSearchWorkspace workspace)`
`protected String` | `fullTextFieldName(String propertyName)` Create the field name that will be used to store the full-text searchable property values.
`void` | `process(CloneBranchRequest request)` Process a request to clone a branch into a new workspace.
`void` | `process(CloneWorkspaceRequest request)` Process a request to clone an existing workspace as a new workspace.
`void` | `process(CopyBranchRequest request)` Process a request to copy a branch into another location.
`void` | `process(CreateNodeRequest request)` Process a request to create a node at a specified location.
`void` | `process(CreateWorkspaceRequest request)` Process a request to create a new workspace.
`void` | `process(DeleteBranchRequest request)` Process a request to delete a branch at a specified location.
`void` | `process(DeleteChildrenRequest request)` Process a request to delete all of the child nodes under the supplied existing node.
`void` | `process(DestroyWorkspaceRequest request)` Process a request to permanently destroy a workspace.
`void` | `process(FullTextSearchRequest request)` Process a request to search a workspace.
`void` | `process(GetWorkspacesRequest request)` Process a request to get the information about the available workspaces.
`void` | `process(LockBranchRequest request)` Process a request to lock a node or branch within a workspace The default implementation of this method does nothing, as most connectors will not support locking.
`void` | `process(MoveBranchRequest request)` Process a request to move a branch at a specified location into a different location.
`void` | `process(ReadAllChildrenRequest request)` Process a request to read all of the children of a node.
`void` | `process(ReadAllPropertiesRequest request)` Process a request to read the properties of a node at the supplied location.
`void` | `process(UnlockBranchRequest request)` Process a request to unlock a node or branch within a workspace The default implementation of this method does nothing, as most connectors will not support locking.
`void` | `process(UpdatePropertiesRequest request)` Process a request to remove the specified properties from a node.
`void` | `process(VerifyWorkspaceRequest request)` Process a request to verify a named workspace.

Methods inherited from class org.modeshape.search.lucene.AbstractLuceneSearchEngine.AbstractLuceneProcessor
`andQueries, commit, deserializeProperty, getSessionFor, getSessionFor, getSessions, getWorkspace, getWorkspace, hasChanges, pathAsString, process, queryFactory, rollback, serializeProperty`

Methods inherited from class org.modeshape.graph.search.SearchEngineProcessor
`markForRollback`

Methods inherited from class org.modeshape.graph.request.processor.RequestProcessor
`absoluteMaximumDepthForBranchReads, completeRequest, getChanges, getDefaultCachePolicy, getExecutionContext, getNowInUtc, getSourceName, includeChildrenInSubgraph, notifyObserverOfChanges, process, process, process, process, process, process, process, process, process, process, process, process, process, process, processUnknownRequest, recordChange, setCacheableInfo, setCacheableInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL_TEXT_RESULT_COLUMNS

    protected static final QueryResults.Columns FULL_TEXT_RESULT_COLUMNS

Constructor Detail

### LuceneSearchProcessor

    protected LuceneSearchProcessor(String sourceName,
                                    ExecutionContext context,
                                    AbstractSearchEngine.Workspaces<LuceneSearchWorkspace> workspaces,
                                    Observer observer,
                                    DateTime now,
                                    boolean readOnly,
                                    Lock lock)

Method Detail

### close

    public void close()

  Close this processor, allowing it to clean up any open resources.

  Overrides:
    `close` in class `SearchEngineProcessor`
  See Also:
    `SearchEngineProcessor.close()`

### createSessionFor

    protected LuceneSearchSession createSessionFor(LuceneSearchWorkspace workspace)

  Specified by:
    `createSessionFor` in class `AbstractLuceneSearchEngine.AbstractLuceneProcessor<LuceneSearchWorkspace,LuceneSearchSession>`
  See Also:
    `AbstractLuceneSearchEngine.AbstractLuceneProcessor.createSessionFor(org.modeshape.graph.search.SearchEngineWorkspace)`

### fullTextFieldName

    protected String fullTextFieldName(String propertyName)

  Create the field name that will be used to store the full-text searchable property values.

  Specified by:
    `fullTextFieldName` in class `AbstractLuceneSearchEngine.AbstractLuceneProcessor<LuceneSearchWorkspace,LuceneSearchSession>`
  Parameters:
    `propertyName` - the name of the property; may not null
  Returns:
    the field name for the full-text searchable property values; never null
  See Also:
    `AbstractLuceneSearchEngine.AbstractLuceneProcessor.fullTextFieldName(java.lang.String)`

### process

    public void process(FullTextSearchRequest request)

  Process a request to search a workspace.

  The default implementation of this method behaves as though the implementation does not support full-text searches by setting an error on the request

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.FullTextSearchRequest)`

### process

    public void process(VerifyWorkspaceRequest request)

  Process a request to verify a named workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.VerifyWorkspaceRequest)`

### process

    public void process(GetWorkspacesRequest request)

  Process a request to get the information about the available workspaces.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.GetWorkspacesRequest)`

### process

    public void process(CreateNodeRequest request)

  Process a request to create a node at a specified location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the create request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CreateNodeRequest)`

### process

    public void process(UpdatePropertiesRequest request)

  Process a request to remove the specified properties from a node.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the remove request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.UpdatePropertiesRequest)`

### process

    public void process(DeleteBranchRequest request)

  Process a request to delete a branch at a specified location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the delete request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DeleteBranchRequest)`

### process

    public void process(DeleteChildrenRequest request)

  Process a request to delete all of the child nodes under the supplied existing node.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the delete request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DeleteChildrenRequest)`

### process

    public void process(DestroyWorkspaceRequest request)

  Process a request to permanently destroy a workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.DestroyWorkspaceRequest)`

### process

    public void process(LockBranchRequest request)

  Process a request to lock a node or branch within a workspace

  The default implementation of this method does nothing, as most connectors will not support locking. Any implementation of this method should do nothing if the request is null.

  Implementations that do support locking should throw a `LockFailedException` if the request could not be fulfilled.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.LockBranchRequest)`

### process

    public void process(UnlockBranchRequest request)

  Process a request to unlock a node or branch within a workspace

  The default implementation of this method does nothing, as most connectors will not support locking. Any implementation of this method should do nothing if the request is null.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.UnlockBranchRequest)`

### process

    public void process(CloneBranchRequest request)

  Process a request to clone a branch into a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CloneBranchRequest)`

### process

    public void process(CloneWorkspaceRequest request)

  Process a request to clone an existing workspace as a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CloneWorkspaceRequest)`

### process

    public void process(CopyBranchRequest request)

  Process a request to copy a branch into another location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the copy request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CopyBranchRequest)`

### process

    public void process(CreateWorkspaceRequest request)

  Process a request to create a new workspace.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CreateWorkspaceRequest)`

### process

    public void process(MoveBranchRequest request)

  Process a request to move a branch at a specified location into a different location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the move request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.MoveBranchRequest)`

### process

    public void process(ReadAllChildrenRequest request)

  Process a request to read all of the children of a node.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadAllChildrenRequest)`

### process

    public void process(ReadAllPropertiesRequest request)

  Process a request to read the properties of a node at the supplied location.

  This method does nothing if the request is null.

  Specified by:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the read request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.ReadAllPropertiesRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.